Subject: Summary of .xyz -> .pdb -> .povray (Overdue!!)

From: Simon Hogg <[email-masked]>
Date: Thu, 31 Jul 1997 12:53:59 +0100

Here is a summary of the replies I received some time ago regarding easy
transfer of .xyz files produced with Tinker (http://dasher.wustl.edu) to
povray files for md trajectory animation.

My original question was:
> Is there a way to produce POVRAY .pov files from an XYZ input file?  I
> actually have a concatenated series of xyz data points from an MD >
simulation and would like them, so that when read, they would make a >
'movie'.
> 
> I would like to put them into POVRAY in sequence, and render them as a
> movie, but what is the best way of doing that?
> 
> I don't really want to have to de-concatenate them, use babel, then >
PDB2POV and then render them.  I *think* I have seen someone do this, > but
can't remember who it was, but if anyone can give me a kick in the > right
direction, I would be very grateful.

And here are some replies;

***From Ernst-Udo Wallenborn <[email-masked]>
you just described it. use babel to make a series 
babel -ix foo.xyz all -op foo.pdb
then use pdb2pov (or povchem) to render them.
i know povchem is scriptable, so you can pipe in
the commands from a perl or shell script.
Real paranoids btw use babel again on each single
pdb and convert it from pdb to com and back
(to give it a defined standard orientation)
and later on don't render the povchem output
directly but process the pov files (which
can also be automated eg with perl). Then
you get a series of images and all you need
is something like mpeg_encode.
***
***From: Thomas Wagener <[email-masked]>
you can use REVIEW to convert xyz files to pov. The older version of 
the program is available for free. As far as I remember the adress is:
 http://www.chemsoft.com
***
***From: Jeffrey Gosper <[email-masked]>
Re_View will do exactly this and the original version is still free for
individual user!
Re_View automates the POV interface and will automatically create AAWin 
animations. Its also extremely easy to generate Mpegs.

If you want to depict multiple/partial bonds as well and automatic Mpgeg 
production then Re_View2 is what you need.
***
***From: "Andrew Dalke" <[email-masked]>
  You might be interested in a program I helped develop, VMD
(http://www.ks.uiuc.edu/Research/vmd/), which reads and animates
xyz files and can save the images to POV-Ray.  There is an example
of how to generate movies (in this case for Raster3D) at
http://www.ks.uiuc.edu/Research/vmd/workshop/movie.html which
you might find useful.
  VMD works best on SGIs and is somewhat on the slow side for
most Linux machines.  There is also an HP version.
***END***

--	Simon Hogg, Imperial College, London, UK
Tel.	+44 171 589 5111 ext. 56721
Fax.	+44 171 584 3194
Email:	[email-masked]   Glass-List: [email-masked]